diff -urpN zita-resampler-1.10.1.orig/apps/Makefile zita-resampler-1.10.1/apps/Makefile
--- zita-resampler-1.10.1.orig/apps/Makefile	2023-02-17 12:27:32.000000000 +0300
+++ zita-resampler-1.10.1/apps/Makefile	2023-02-19 15:19:08.513618954 +0300
@@ -23,18 +23,17 @@ BINDIR ?= $(PREFIX)/bin
 MANDIR ?= /usr/share/man/man1
 
 VERSION = 1.10.1
-CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\"
-CXXFLAGS += -O2  -ffast-math -Wall
-CXXFLAGS += -march=native
+CPPFLAGS += -MMD -MP -DVERSION=\"$(VERSION)\" -I ../source
+CXXFLAGS += -ffast-math -Wall
 
 
-all:	zresample zretune zresample.1.gz zretune.1.gz
+all:	zresample zretune
 
 
 ZRESAMPLE_O = zresample.o audiofile.o dither.o
 zresample:	LDLIBS += -lzita-resampler -lsndfile -lrt
 zresample:	$(ZRESAMPLE_O)
-	$(CXX) $(LDFLAGS) -o $@ $(ZRESAMPLE_O) $(LDLIBS)
+	$(CXX) -L ../source $(LDFLAGS) -o $@ $(ZRESAMPLE_O) $(LDLIBS)
 $(ZRESAMPLE_O):
 -include $(ZRESAMPLE_O:%.o=%.d)
 
@@ -42,31 +41,24 @@ $(ZRESAMPLE_O):
 ZRETUNE_O = zretune.o audiofile.o dither.o
 zretune:	LDLIBS += -lzita-resampler -lsndfile -lrt
 zretune:	$(ZRETUNE_O)
-	$(CXX) $(LDFLAGS) -o $@ $(ZRETUNE_O) $(LDLIBS)
+	$(CXX) -L ../source $(LDFLAGS) -o $@ $(ZRETUNE_O) $(LDLIBS)
 $(ZRETUNE_O):
 -include $(ZRETUNE_O:%.o=%.d)
 
 
-zresample.1.gz:	zresample.1
-	gzip -c zresample.1 > zresample.1.gz
-
-zretune.1.gz:	zretune.1
-	gzip -c zretune.1 > zretune.1.gz
-
-
 install:	all
 	install -d $(DESTDIR)$(BINDIR)
 	install -d $(DESTDIR)$(MANDIR)
 	install -m 755 zresample $(DESTDIR)$(BINDIR)
 	install -m 755 zretune $(DESTDIR)$(BINDIR)
-	install -m 644 zresample.1.gz $(DESTDIR)$(MANDIR)
-	install -m 644 zretune.1.gz $(DESTDIR)$(MANDIR)
+	install -m 644 zresample.1 $(DESTDIR)$(MANDIR)
+	install -m 644 zretune.1 $(DESTDIR)$(MANDIR)
 
 uninstall: 
 	/bin/rm -f $(DESTDIR)$(BINDIR)/zresample
 	/bin/rm -f $(DESTDIR)$(BINDIR)/zretune
-	/bin/rm -f $(DESTDIR)$(MANDIR)/zresample.1.gz
-	/bin/rm -f $(DESTDIR)$(MANDIR)/zretune.1.gz
+	/bin/rm -f $(DESTDIR)$(MANDIR)/zresample.1
+	/bin/rm -f $(DESTDIR)$(MANDIR)/zretune.1
 
 clean:
 	/bin/rm -f *~ *.o *.a *.d *.so *.gz zresample zretune
diff -urpN zita-resampler-1.10.1.orig/source/Makefile zita-resampler-1.10.1/source/Makefile
--- zita-resampler-1.10.1.orig/source/Makefile	2023-02-17 12:27:32.000000000 +0300
+++ zita-resampler-1.10.1/source/Makefile	2023-02-19 15:07:48.327102241 +0300
@@ -31,11 +31,9 @@ VERSION = $(MAJVERS).$(MINVERS)
 DISTDIR = zita-resampler-$(VERSION)
 
 CPPFLAGS += -I. -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS
-CPPFLAGS += -DENABLE_SSE2
 CPPFLAGS += -DZITA_RESAMPLER_MAJOR_VERSION=$(MAJVERS)
 CPPFLAGS += -DZITA_RESAMPLER_MINOR_VERSION=$(MINVERS)
-CXXFLAGS += -Wall -fPIC -O2 -ffast-math
-CXXFLAGS += -march=native
+CXXFLAGS += -Wall -fPIC -ffast-math
 LDFLAGS += 
 LDLIBS +=
 
@@ -49,6 +47,9 @@ ZITA-RESAMPLER_H = zita-resampler/resamp
 	zita-resampler/vresampler.h zita-resampler/cresampler.h
 
 
+$(ZITA-RESAMPLER_SO): $(ZITA-RESAMPLER_MIN)
+	ln -sf $(ZITA-RESAMPLER_MIN) $(ZITA-RESAMPLER_SO)
+
 $(ZITA-RESAMPLER_MIN): $(ZITA-RESAMPLER_O)
 	$(CXX) -shared $(LDFLAGS) -Wl,-soname,$(ZITA-RESAMPLER_MAJ) -o $(ZITA-RESAMPLER_MIN) $(ZITA-RESAMPLER_O) $(ZITA-RESAMPLER_DEP)
 
